> For the complete documentation index, see [llms.txt](https://spice.docs.medtroniclabs.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/member-update.md).

# Member Update

| **API URL**     | {{url}}/spice-service/household/update-member |
| --------------- | --------------------------------------------- |
| **Method**      | POST                                          |
| **Description** | Update of a household member                  |

#### **Input:** <a href="#memberupdate-v2-input" id="memberupdate-v2-input"></a>

| **Field Name**            | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ------------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization (Header)    | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                    | String   | Yes           | mob                                                                                                                                     |
| id                        | Bigint   | YesYes        | Household Member IdHousehold Member Id                                                                                                  |
| household                 | String   | Yes           | Household details                                                                                                                       |
| householdMember           | String   | Yes           | Household Member details                                                                                                                |
| createdAt                 | Date     | Yes           | Created At                                                                                                                              |
| dateOfBirth               | Date     | Yes           | DateOfBirth of member                                                                                                                   |
| gender                    | String   | Yes           | Gender of Household member                                                                                                              |
| householdHeadRelationship | String   | Yes           | Household Head Relationship                                                                                                             |
| householdReferenceId      | Bigint   | Yes           | Household Reference Id                                                                                                                  |
| isActive                  | Boolean  | Yes           | Is Active                                                                                                                               |
| isChild                   | Boolean  | Yes           | Is Child validation                                                                                                                     |
| isPregnant                | Boolean  | Yes           | Is Pregnant check                                                                                                                       |
| latitude                  | Double   | Yes           | Location details                                                                                                                        |
| longitude                 | Double   | Yes           | longitude details                                                                                                                       |
| name                      | String   | Yes           | Household name                                                                                                                          |
| phoneNumber               | Bigint   | Yes           | Phone Number                                                                                                                            |
| phoneNumberCategory       | String   | Yes           | PhoneNumber Category                                                                                                                    |
| provenance                | String   | Yes           | Provenance details                                                                                                                      |
| referenceId               | Bigint   | Yes           | Reference ID for household member                                                                                                       |
| village                   | String   | Yes           | Village name                                                                                                                            |
| villageId                 | Bigint   | Yes           | Village id for household                                                                                                                |

#### **Sample Input:** <a href="#memberupdate-v2-sampleinput" id="memberupdate-v2-sampleinput"></a>

{\
"id": 1,\
"dateOfBirth": "1993-01-27T00:00:00+00:00",\
"gender": "female",\
"householdHeadRelationship": "Wife / Husband",\
"householdId": "1",\
"householdReferenceId": "2",\
"isActive": true,\
"isChild": false,\
"isPregnant": true,\
"latitude": 37.4219983,\
"longitude": -122.084,\
"name": "lili",\
"phoneNumber": "21XXXX231",\
"phoneNumberCategory": "Personal",\
"provenance": {\
"modifiedDate": "2025-101-27T06:41:36.718Z",\
"organizationId": "1",\
"spiceUserId": 2,\
"userId": "3"\
},\
"referenceId": "4",\
"updatedAt": 1737960096718,\
"village": "Clergy",\
"villageId": 5\
}

#### **Output:** <a href="#memberupdate-v2-output" id="memberupdate-v2-output"></a>

| **Field Name**     | **Type** | **Comments**                          |
| ------------------ | -------- | ------------------------------------- |
| <p>Message<br></p> | String   | Household Member Updated Successfully |

#### **Sample Output:** <a href="#memberupdate-v2-sampleoutput" id="memberupdate-v2-sampleoutput"></a>

```
{
  "message": "HouseHold Member Updated Successfully.",
  "entity": null,
  "status": true,
  "entityList": null,
  "responseCode": 201,
  "totalCount": null
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/member-update.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
